> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ilitylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List workspaces

> Lists the workspaces the caller belongs to. An API key only ever sees its own workspace.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/me/workspaces
openapi: 3.1.0
info:
  title: ility API
  version: 1.0.0
  description: Read accessibility results and start scans in your ility workspace.
servers:
  - url: https://app.ilitylabs.com
security:
  - apiKey: []
tags:
  - name: Workspaces
  - name: Surfaces
  - name: Domains
  - name: Scans
  - name: Issues
paths:
  /v1/me/workspaces:
    get:
      tags:
        - Workspaces
      summary: List workspaces
      description: >-
        Lists the workspaces the caller belongs to. An API key only ever sees
        its own workspace.
      responses:
        '200':
          description: The workspaces the caller belongs to, by name
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MyWorkspaces'
components:
  schemas:
    MyWorkspaces:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              name:
                type: string
              role:
                type: string
                enum:
                  - owner
                  - member
                  - viewer
              current:
                type: boolean
            required:
              - id
              - name
              - role
              - current
      required:
        - items
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        An ility API key, such as `ilk_1a2b3c4d_…`. Workspace owners create keys
        under Settings → API keys.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.